<template>
    <div :class="mine ? 'flexcont-right' : 'flexcont'">
        <v-list class="py-0 my-3" max-width="80%">
            <v-list-item>
                <v-list-item-avatar :color="color">
                    <v-icon class="white--text">{{ avatar }}</v-icon>
                </v-list-item-avatar>
                <v-list-item-content>
                    <v-list-item-title>{{ nickName }}</v-list-item-title>
                    <v-list-item-subtitle class="o">{{ message }}</v-list-item-subtitle>
                </v-list-item-content>
            </v-list-item>
        </v-list>
    </div>
</template>

<script>
export default {
    name: "chatCard",
    data: () => ({}),
    props: {
        nickName: String,
        avatar: String,
        color: String,
        message: String,
        mine: Boolean,
    },
    components: {},
    methods: {},
    computed: {},
};
</script>

<style scoped>
.flexcont {
    display: flex;
    margin-left: 8px;
}
.flexcont-right {
    display: flex;
    justify-content: flex-end;
    margin-right: 8px;
}
.o {
    overflow: visible;
    white-space: pre-wrap;
    word-break: break-all;
}
</style>
